package com.css.txw.gxzx.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.css.txw.gxzx.pojo.domain.TxwGxzxGxxxbDO;
import com.css.txw.gxzx.pojo.domain.TxwGxzxShqkbDO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.css.txw.gxzx.pojo.vo.GetGxSqListReqVO;

import java.util.List;

/**
* @author AirlH
* @description 针对表【txw_gxzx_shqkb(审核情况表)】的数据库操作Mapper
* @createDate 2025-09-12 15:19:45
* @Entity com.css.txw.gxzx.pojo.domain.TxwGxzxShqkb
*/
public interface TxwGxzxShqkbMapper extends BaseMapper<TxwGxzxShqkbDO> {

    default List<TxwGxzxShqkbDO> gxfbList(){
        QueryWrapper<TxwGxzxShqkbDO> wrapper = new QueryWrapper<>();
        wrapper.lambda().in(TxwGxzxShqkbDO::getYwlxDm,"01","02")
                .isNull(TxwGxzxShqkbDO::getShjg1);
        return selectList(wrapper);
    }

    default Page<TxwGxzxShqkbDO> getGxSqList(GetGxSqListReqVO reqVO){
        Page<TxwGxzxShqkbDO> page = new Page<>(reqVO.getPageNo(),reqVO.getPageSize());
        QueryWrapper<TxwGxzxShqkbDO> wrapper = new QueryWrapper<>();
        wrapper.lambda().isNull(TxwGxzxShqkbDO::getShjg1);
        return selectPage(page,wrapper);
    }

    default TxwGxzxShqkbDO getByGlidAndYwlx(String gxuuid){
        QueryWrapper<TxwGxzxShqkbDO> wrapper = new QueryWrapper<>();
        wrapper.lambda().eq(TxwGxzxShqkbDO::getGlid,gxuuid);
        return selectOne(wrapper);
    }
}




